/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-footer,
%#{$inuit-namespace}menu-footer {
    @extend %h-clearfix;
    padding-top: 30px;

    @media #{$medium-up} {
        font-size: $inuit-font-size-small;
    }

    &__donationicons {
        display: inline-block;
        text-align: right;

        width: 100%;
        svg {
            width: 100%;
            height: 45px;
        }

        @media #{$large-up} {
            width: 100%;
        }
    }
    &__donationitem {
        vertical-align: top;
        height: 2.8705882353rem;
        margin-bottom: 5rem;
        margin-left: 1rem;
        width: 21%;
        margin-bottom: 3.8em;
        float:left;
        &:first-child {
            margin-left:0;
        }
        @media #{$large-up} {
            width: 17%;
            margin-left: 2rem;
            &:first-child {
                margin-left:2rem;
            }
        }
        img {
            width:auto;
            max-height:63px;
            @media #{$large-up} {
                max-height:89px;
            }
        }
        &-top {
            padding-top: 0.5rem;
        }
        &-middle img {
            height: auto !important;
        }
    }
}

.#{$inuit-namespace}menu-footer__list,
%#{$inuit-namespace}menu-footer__list {
    @extend %o-list-bare;

    &--l1 {
        margin-bottom: 0;
        background: transparent;
    }

    &--l2 {
        background: transparent;
    }
}

.#{$inuit-namespace}menu-footer__item,
%#{$inuit-namespace}menu-footer__item {
    line-height: 1.9882352941;
    &--l1 {
        background: transparent;
        font-weight: bold;
        margin-bottom: frs-quarter($frs-base-unit);
    }

    &--l2 {
        background: transparent;
    }
}

.#{$inuit-namespace}menu-footer__link,
%#{$inuit-namespace}menu-footer__link {
    color: $frs-color-grey;
    display: block;

    @include frs-hover {
        text-decoration: underline;
    }
}
@if $theme == "reloaded" {
    .#{$inuit-namespace}menu-footer,
    %#{$inuit-namespace}menu-footer {
        margin:2rem auto;
    }
}